#!/bin/zsh

d=${0:a:h}
cd $d/repos

t="
https://github.com/bluesky-social/atproto
https://github.com/did-method-plc/did-method-plc
https://github.com/bluesky-social/feed-generator
https://github.com/bluesky-social/social-app
https://github.com/bluesky-social/cookbook
https://github.com/itaru2622/bluesky-selfhost-env
"

t=`echo $t|grep -v '^$'`
n=`echo $t|wc -l`

for ((i=1;i<=$n;i++))
do
	tt=`echo $t|awk "NR==$i"`
	dd=$d/repos/$tt:t
	if [ -d $dd ];then
		echo ok
		cd $dd
		git pull
		cd $d/repos
	else
		git clone $tt
	fi
done
